### GET /api/v3/workspaces/{workspace_id}/docs/{doc_id} Source: https://developer.clickup.com/openapi/ClickUp_PUBLIC_API_V3.yaml View information about a Doc. ```markdown ### Parameters - **workspace_id** (PublicDocsGetDocPublicWorkspaceIdPath, path, required): The ID of the Workspace. - **doc_id** (string, path, required): The ID of the doc. ### Responses #### 200 - Doc found **PublicDocsDocDto** - **id** (string) (required) - **date_created** (number) (required) - **date_updated** (number) - **name** (string) (required) - **type** (number) (required) ("1"|"2") - **parent** (object) (required) - **id** (string) (required) - **type** (number) (required): The parent Doc type. Use `4` for Space, `5` for Folder, `6` for List, `7` for Everything, and `12` for Workspace. - **public** (boolean) (required) - **workspace_id** (number) (required) - **archived** (boolean) - **archived_by** (number) - **creator** (number) (required) - **date_archived** (number) - **date_deleted** (number) - **deleted** (boolean) - **deleted_by** (number) - **page_defaults** (object) - **font** (string) - **font_size** (number) - **line_height** (number) - **page_width** (number) - **paragraph_spacing** (number) - **show_author_header** (boolean) - **show_contributor_header** (boolean) - **show_cover_header** (boolean) - **show_date_header** (boolean) - **show_page_outline** (boolean) - **show_sub_pages** (boolean) - **sub_page_size** (string) - **show_sub_title_header** (boolean) - **show_title_icon_header** (boolean) - **show_relationships** (boolean) - **show_relationships_compact** (boolean) - **show_sub_pages_author** (boolean) - **show_sub_pages_thumbnail** (boolean) - **show_sub_pages_compact** (boolean) - **sub_pages_style** (string) #### 404 - Doc not found ### Example Usage ```bash curl -X GET "https://api.clickup.com//api/v3/workspaces/{workspace_id}/docs/{doc_id}" ``` ``` -------------------------------- ### GET /api/v3/workspaces/{workspace_id}/docs Source: https://developer.clickup.com/openapi/ClickUp_PUBLIC_API_V3.yaml View the Docs in your Workspace. You can only view information of Docs you can access. ```markdown ### Parameters - **workspace_id** (PublicDocsSearchDocsPublicWorkspaceIdPath, path, required): The ID of the Workspace. - **id** (string, query, optional): Filter results to Docs created by the user with the given Doc ID. - **creator** (PublicDocsSearchDocsPublicCreatorQuery, query, optional): Filter results to Docs created by the user with the given user ID. - **deleted** (PublicDocsSearchDocsPublicDeletedQuery, query, optional): Filter results to return deleted Docs. - **archived** (PublicDocsSearchDocsPublicArchivedQuery, query, optional): Filter results to return archived Docs. - **parent_id** (string, query, optional): Filter results to children of a parent Doc with the given parent Doc ID. - **parent_type** (PublicDocsSearchDocsPublicParentTypeQuery, query, optional): Filter results to children of the given parent Doc type. For example, `SPACE`, `FOLDER`, `LIST`, `EVERYTHING`, `WORKSPACE`. - **limit** (PublicDocsSearchDocsPublicLimitQuery, query, optional): The maximum number of results to fetch for this page. - **cursor** (string, query, optional): The cursor to use to fetch the next page of results. - **next_cursor** (string, query, optional): The cursor to use to fetch the next page of results. [deprecated] ### Responses #### 200 - Search results **PublicDocsDocsSearchResultDto** - **docs** (array (PublicDocsDocCoreDto)) (required) Array items: - **id** (string) (required) - **date_created** (number) (required) - **date_updated** (number) - **name** (string) (required) - **type** (number) (required) ("1"|"2") - **parent** (object) (required) - **id** (string) (required) - **type** (number) (required): The parent Doc type. Use `4` for Space, `5` for Folder, `6` for List, `7` for Everything, and `12` for Workspace. - **public** (boolean) (required) - **workspace_id** (number) (required) - **creator** (number) (required) - **deleted** (boolean) (required) - **date_deleted** (number) - **deleted_by** (number) - **archived** (boolean) (required) - **archived_by** (number) - **date_archived** (number) - **next_cursor** (string) ### Example Usage ```bash curl -X GET "https://api.clickup.com//api/v3/workspaces/{workspace_id}/docs?id=string&creator=value&deleted=value&archived=value&parent_id=string&parent_type=value&limit=value&cursor=string&next_cursor=string" ``` ``` -------------------------------- ### GET /api/v3/workspaces/{workspace_id}/docs/{doc_id}/page_listing Source: https://developer.clickup.com/openapi/ClickUp_PUBLIC_API_V3.yaml View the PageListing for a Doc. ```markdown ### Parameters - **workspace_id** (PublicDocsGetDocPageListingPublicWorkspaceIdPath, path, required): The ID of the Workspace. - **doc_id** (string, path, required): The ID of the doc. - **max_page_depth** (PublicDocsGetDocPageListingPublicMaxPageDepthQuery, query, optional): The maximum depth to retrieve pages and subpages. Use `-1` to return pages and subpages with no depth limit. ### Responses #### 200 - PageListing found **PublicDocsGetDocPageListingPublic200Response** - Array of PublicDocsPageV3ReferenceDto #### 404 - PageListing not found ### Example Usage ```bash curl -X GET "https://api.clickup.com//api/v3/workspaces/{workspace_id}/docs/{doc_id}/page_listing?max_page_depth=value" ``` ``` -------------------------------- ### GET /api/v3/workspaces/{workspace_id}/docs/{doc_id}/pages Source: https://developer.clickup.com/openapi/ClickUp_PUBLIC_API_V3.yaml View the pages belonging to a Doc. ```markdown ### Parameters - **workspace_id** (PublicDocsGetDocPagesPublicWorkspaceIdPath, path, required): The ID of the Workspace. - **doc_id** (string, path, required): The ID of the doc. - **max_page_depth** (PublicDocsGetDocPagesPublicMaxPageDepthQuery, query, optional): The maximum depth to retrieve pages and subpages. Use `-1` to return pages and subpages with no depth limit. - **content_format** (PublicDocsGetDocPagesPublicContentFormatQuery, query, optional): The format to return the page content in. For example, `text/md` for markdown or `text/plain` for plain text. ### Responses #### 200 - Pages found **PublicDocsGetDocPagesPublic200Response** - Array of PublicDocsPageV3Dto ### Example Usage ```bash curl -X GET "https://api.clickup.com//api/v3/workspaces/{workspace_id}/docs/{doc_id}/pages?max_page_depth=value&content_format=value" ``` ``` -------------------------------- ### POST /api/v3/workspaces/{workspace_id}/docs Source: https://developer.clickup.com/openapi/ClickUp_PUBLIC_API_V3.yaml Create a new Doc. ```markdown ### Parameters - **workspace_id** (PublicDocsCreateDocPublicWorkspaceIdPath, path, required): The ID of the Workspace. ### Request Body **Content-Type:** application/json - **name** (string): The name of the new Doc. - **parent** (object) - **id** (string) (required) - **type** (number) (required): The parent Doc type. Use `4` for Space, `5` for Folder, `6` for List, `7` for Everything, and `12` for Workspace. - **visibility** (string (PUBLIC|PRIVATE|PERSONAL|HIDDEN)): The visibility of the new Doc ("PUBLIC"|"PRIVATE"|"PERSONAL"|"HIDDEN") - **create_page** (boolean): Create a new page when creating the Doc. ### Responses #### 201 - Doc created **PublicDocsDocDto** - **id** (string) (required) - **date_created** (number) (required) - **date_updated** (number) - **name** (string) (required) - **type** (number) (required) ("1"|"2") - **parent** (object) (required) - **id** (string) (required) - **type** (number) (required): The parent Doc type. Use `4` for Space, `5` for Folder, `6` for List, `7` for Everything, and `12` for Workspace. - **public** (boolean) (required) - **workspace_id** (number) (required) - **archived** (boolean) - **archived_by** (number) - **creator** (number) (required) - **date_archived** (number) - **date_deleted** (number) - **deleted** (boolean) - **deleted_by** (number) - **page_defaults** (object) - **font** (string) - **font_size** (number) - **line_height** (number) - **page_width** (number) - **paragraph_spacing** (number) - **show_author_header** (boolean) - **show_contributor_header** (boolean) - **show_cover_header** (boolean) - **show_date_header** (boolean) - **show_page_outline** (boolean) - **show_sub_pages** (boolean) - **sub_page_size** (string) - **show_sub_title_header** (boolean) - **show_title_icon_header** (boolean) - **show_relationships** (boolean) - **show_relationships_compact** (boolean) - **show_sub_pages_author** (boolean) - **show_sub_pages_thumbnail** (boolean) - **show_sub_pages_compact** (boolean) - **sub_pages_style** (string) ### Example Usage ```bash curl -X POST "https://api.clickup.com//api/v3/workspaces/{workspace_id}/docs" \ -H "Content-Type: application/json" \ -d '{ "name": "", "parent": "null", "visibility": "value", "create_page": "true" }' ``` ``` -------------------------------- ### GET /api/v3/workspaces/{workspace_id}/comments/types/{comment_type}/subtypes Source: https://developer.clickup.com/openapi/ClickUp_PUBLIC_API_V3.yaml Get the ID of each post subtype (Announcement, Discussion, Idea, and Update) for your Workspace, to use when [sending a message](https://developer.clickup.com/reference/createchatmessage) with `type: post`. \ \ Subtype IDs are unique to each Workspace. ```markdown ### Parameters - **workspace_id** (CommentPublicApiCommentsControllerGetSubtypesWorkspaceIdPath, path, required): ID of the logged-in user's Workspace. - **comment_type** (CommentPublicApiCommentsControllerGetSubtypesCommentTypePath, path, required) ### Responses #### 200 - response ### Example Usage ```bash curl -X GET "https://api.clickup.com//api/v3/workspaces/{workspace_id}/comments/types/{comment_type}/subtypes" ``` ``` -------------------------------- ### PUT /api/v3/workspaces/{workspace_id}/tasks/{task_id}/time_estimates_by_user Source: https://developer.clickup.com/openapi/ClickUp_PUBLIC_API_V3.yaml Replaces all time estimates for a task with the provided time estimates. Any existing time estimates not included in the request will be removed. Assignees must be currently assigned to the task, or use `assignee: unassigned` to set a time estimates for unassigned work. You can set up to 10 estimates per request. ***Note:** This endpoint is only available on our Business Plan or above.* ```markdown ### Parameters - **workspace_id** (string, path, required): The ID of the Workspace. - **task_id** (string, path, required): The ID of the task. This parameter supports task IDs and Custom task IDs. ### Request Body **Content-Type:** application/json - Array of TaskTimeEstimateItemDto ### Responses #### 200 - response **TaskPublicApiTaskControllerReplaceTimeEstimatesByUser200Response** - **data** (object) (required) - **total_time_estimate** (integer) (required): The total time estimate across all assignees in milliseconds (example: 10800000) - **assignee_estimates** (object) (required): A map of assignee user IDs to their respective time estimates in milliseconds. The key "unassigned" represents time not assigned to any specific user. (example: {"300001":3600000,"300002":7200000,"unassigned":0}) #### 400 - Invalid request parameters, validation error, or not entitled to use time estimates per assignee feature **TaskPublicApiErrorResponse** - **status** (integer) (required): The HTTP Status code for the error - **message** (string) (required): The message describing the error (example: "Generic error message") - **trace_id** (integer) (required): Unique trace ID for tracking the request. Used for troubleshooting errors (example: 123456789) - **timestamp** (integer) (required): The time of the error (Unix epoch milliseconds timestamp). (example: 1671534256138) #### 404 - Task not found or not authorized **TaskPublicApiErrorResponse** - **status** (integer) (required): The HTTP Status code for the error - **message** (string) (required): The message describing the error (example: "Generic error message") - **trace_id** (integer) (required): Unique trace ID for tracking the request. Used for troubleshooting errors (example: 123456789) - **timestamp** (integer) (required): The time of the error (Unix epoch milliseconds timestamp). (example: 1671534256138) #### default - Generic Error response **TaskPublicApiErrorResponse** - **status** (integer) (required): The HTTP Status code for the error - **message** (string) (required): The message describing the error (example: "Generic error message") - **trace_id** (integer) (required): Unique trace ID for tracking the request. Used for troubleshooting errors (example: 123456789) - **timestamp** (integer) (required): The time of the error (Unix epoch milliseconds timestamp). (example: 1671534256138) ### Example Usage ```bash curl -X PUT "https://api.clickup.com//api/v3/workspaces/{workspace_id}/tasks/{task_id}/time_estimates_by_user" \ -H "Content-Type: application/json" \ -d '[ "value" ]' ``` ``` -------------------------------- ### POST /api/v3/workspaces/{workspace_id}/docs/{doc_id}/pages Source: https://developer.clickup.com/openapi/ClickUp_PUBLIC_API_V3.yaml Create a page in a Doc. ```markdown ### Parameters - **workspace_id** (PublicDocsCreatePagePublicWorkspaceIdPath, path, required): The ID of the Workspace. - **doc_id** (string, path, required): The ID of the doc. ### Request Body **Content-Type:** application/json - **parent_page_id** (string): The ID of the parent page. If this is a root page in the Doc, `parent_page_id` will not be returned. - **name** (string): The name of the new page. - **sub_title** (string): The subtitle of the new page. - **content** (string): The content of the new page. - **content_format** (string (text/md|text/plain)): The format the page content is in. For example, `text/md` for markdown or `text/plain` for plain text. ("text/md"|"text/plain") ### Responses #### 201 - Page created **PublicDocsPageV3Dto** - **id** (string) (required) - **doc_id** (string) (required) - **parent_page_id** (string) - **workspace_id** (number) (required) - **name** (string) (required) - **pages** (array (PublicDocsPageV3Dto)) Array items: - **sub_title** (string) - **date_created** (number) (required) - **date_updated** (number) - **content** (string) (required) - **avatar** (object) - **color** (string) - **value** (string) - **source** (string) - **creator_id** (number) (required) - **deleted** (boolean) - **deleted_by** (number) - **date_deleted** (number) - **date_edited** (number) - **edited_by** (number) - **archived** (boolean) - **archived_by** (number) - **date_archived** (number) - **authors** (array (number)) (required) - **contributors** (array (number)) - **cover** (object) - **color** (string) - **image_url** (string) - **position** (object) - **x** (number) (required) - **y** (number) (required) - **protected** (boolean) - **protected_by** (number) - **protected_note** (string) - **presentation_details** (object) - **font** (string) - **font_size** (number) - **line_height** (number) - **page_width** (number) - **paragraph_spacing** (number) - **show_author_header** (boolean) - **show_contributor_header** (boolean) - **show_cover_header** (boolean) - **show_date_header** (boolean) - **show_page_outline** (boolean) - **show_sub_pages** (boolean) - **sub_page_size** (string) - **show_sub_title_header** (boolean) - **show_title_icon_header** (boolean) - **show_relationships** (boolean) - **show_relationships_compact** (boolean) - **show_sub_pages_author** (boolean) - **show_sub_pages_thumbnail** (boolean) - **show_sub_pages_compact** (boolean) - **sub_pages_style** (string) ### Example Usage ```bash curl -X POST "https://api.clickup.com//api/v3/workspaces/{workspace_id}/docs/{doc_id}/pages" \ -H "Content-Type: application/json" \ -d '{ "parent_page_id": "string", "name": "", "sub_title": "string", "content": "", "content_format": "text/md" }' ``` ``` -------------------------------- ### GET /api/v3/workspaces/{workspace_id}/chat/channels Source: https://developer.clickup.com/openapi/ClickUp_PUBLIC_API_V3.yaml This endpoint retrieves the Channels in a Workspace. ```markdown ### Parameters - **workspace_id** (ChatPublicApiChatChannelsControllerGetChatChannelsWorkspaceIdPath, path, required): The ID of the Workspace. - **description_format** (ChatTextFormat, query, optional): Format of the Channel description (Default: text/md). - **cursor** (string, query, optional): Used to request the next page of results. - **limit** (ChatPublicApiChatChannelsControllerGetChatChannelsLimitQuery, query, optional): The maximum number of results to fetch for this page. - **is_follower** (ChatPublicApiChatChannelsControllerGetChatChannelsIsFollowerQuery, query, optional): Only return Channels the user is following. - **include_closed** (ChatPublicApiChatChannelsControllerGetChatChannelsIncludeClosedQuery, query, optional): Include DMs/Group DMs that have been explicitly closed. - **with_message_since** (ChatPublicApiChatChannelsControllerGetChatChannelsWithMessageSinceQuery, query, optional): Only return Channels with at least one message since the given timestamp. - **channel_types** (ChatPublicApiChatChannelsControllerGetChatChannelsChannelTypesQuery, query, optional): Specify the types of Channels to return from the request. ### Responses #### 200 - response **ChatPublicApiChatChannelsControllerGetChatChannels200Response** - **next_cursor** (string) (required): The next cursor to use for pagination. - **data** (array (ChatChannel)) Array items: - **id** (string) (required) - **name** (string) (required) - **description** (string (RichText)): The full Description of the Channel. - **topic** (string) - **type** (string (CHANNEL|DM|GROUP_DM)) (required): The type of the room ("CHANNEL"|"DM"|"GROUP_DM") - **visibility** (string (PUBLIC|PRIVATE)) (required): The visibility of the room ("PUBLIC"|"PRIVATE") - **parent** (object) (required) - **id** (string) (required) - **type** (number) (required) - **creator** (string) (required): ID of the user who created this room - **created_at** (string) (required): Timestamp of when this room was created - **updated_at** (string) (required): Timestamp of the last update in this room - Deprecated in favor of latest_comment_at - **workspace_id** (string) (required): Workspace ID of the chat room - **archived** (boolean) (required) - **latest_comment_at** (string): Timestamp of the last comment in this room. Optional in the case of a new room with no comments yet - **is_canonical_channel** (boolean): Is this the canonical channel for the parent location? - **is_hidden** (boolean): Has the user hidden this room from their sidebar? Currently only an option for DM/Group DM. - **default_view** (object) - **type** (number) (required) - **view_id** (string) (required) - **standard** (boolean) (required) - **channel_type** (number): Type of channel (chat, project, etc.) aka subcategory_type ("1"|"2"|"3"|"4") - **counts** (object) - **parent_id** (string) (required) - **parent_type** (string (approval|attachment|attachmentAccess|banWorkspace|checklist|checklistItem|checklistTemplateAccess|comment|commentThread|commentsLastReadAt|customField|customFieldAccess|customItem|customPermissionLevel|dashboard|dashboardAccess|doc|docAccess|folder|folderDescendantsSet|folderTemplateAccess|form|formulaValue|foundationalJob|goal|goalAccess|goalFolder|goalFolderAccess|hierarchy|list|listDescendantsPoints|listDescendantsSet|listDescendantsTimeEstimates|listTemplateAccess|notepad|page|pageAccess|post|reminder|reminderAccess|rolledUpFieldValue|scheduledComment|space|spaceDescendantsSet|spaceTemplateAccess|task|taskAccess|taskHistory|taskProperty|taskTemplateAccess|template|user|userAccess|userGroup|userHierarchy|userPresence|view|viewAccess|viewTemplateAccess|whiteboard|whiteboardAccess|widget|workscheduleScheduleExceptions|workscheduleWorkweekSchedule|workspace|workspaceDescendantsSet)) (required): Any object that can be shared in a Workspace. For example, `customField`, `dashboard`, `folder`, `goal`, `goalFolder`, `list`, `space`, `task`, and `view`. ("approval"|"attachment"|"attachmentAccess"|"banWorkspace"|"checklist"|"checklistItem"|"checklistTemplateAccess"|"comment"|"commentThread"|"commentsLastReadAt"|"customField"|"customFieldAccess"|"customItem"|"customPermissionLevel"|"dashboard"|"dashboardAccess"|"doc"|"docAccess"|"folder"|"folderDescendantsSet"|"folderTemplateAccess"|"form"|"formulaValue"|"foundationalJob"|"goal"|"goalAccess"|"goalFolder"|"goalFolderAccess"|"hierarchy"|"list"|"listDescendantsPoints"|"listDescendantsSet"|"listDescendantsTimeEstimates"|"listTemplateAccess"|"notepad"|"page"|"pageAccess"|"post"|"reminder"|"reminderAccess"|"rolledUpFieldValue"|"scheduledComment"|"space"|"spaceDescendantsSet"|"spaceTemplateAccess"|"task"|"taskAccess"|"taskHistory"|"taskProperty"|"taskTemplateAccess"|"template"|"user"|"userAccess"|"userGroup"|"userHierarchy"|"userPresence"|"view"|"viewAccess"|"viewTemplateAccess"|"whiteboard"|"whiteboardAccess"|"widget"|"workscheduleScheduleExceptions"|"workscheduleWorkweekSchedule"|"workspace"|"workspaceDescendantsSet") - **root_parent_id** (string) (required) - **root_parent_type** (string (approval|attachment|attachmentAccess|banWorkspace|checklist|checklistItem|checklistTemplateAccess|comment|commentThread|commentsLastReadAt|customField|customFieldAccess|customItem|customPermissionLevel|dashboard|dashboardAccess|doc|docAccess|folder|folderDescendantsSet|folderTemplateAccess|form|formulaValue|foundationalJob|goal|goalAccess|goalFolder|goalFolderAccess|hierarchy|list|listDescendantsPoints|listDescendantsSet|listDescendantsTimeEstimates|listTemplateAccess|notepad|page|pageAccess|post|reminder|reminderAccess|rolledUpFieldValue|scheduledComment|space|spaceDescendantsSet|spaceTemplateAccess|task|taskAccess|taskHistory|taskProperty|taskTemplateAccess|template|user|userAccess|userGroup|userHierarchy|userPresence|view|viewAccess|viewTemplateAccess|whiteboard|whiteboardAccess|widget|workscheduleScheduleExceptions|workscheduleWorkweekSchedule|workspace|workspaceDescendantsSet)) (required): Any object that can be shared in a Workspace. For example, `customField`, `dashboard`, `folder`, `goal`, `goalFolder`, `list`, `space`, `task`, and `view`. ("approval"|"attachment"|"attachmentAccess"|"banWorkspace"|"checklist"|"checklistItem"|"checklistTemplateAccess"|"comment"|"commentThread"|"commentsLastReadAt"|"customField"|"customFieldAccess"|"customItem"|"customPermissionLevel"|"dashboard"|"dashboardAccess"|"doc"|"docAccess"|"folder"|"folderDescendantsSet"|"folderTemplateAccess"|"form"|"formulaValue"|"foundationalJob"|"goal"|"goalAccess"|"goalFolder"|"goalFolderAccess"|"hierarchy"|"list"|"listDescendantsPoints"|"listDescendantsSet"|"listDescendantsTimeEstimates"|"listTemplateAccess"|"notepad"|"page"|"pageAccess"|"post"|"reminder"|"reminderAccess"|"rolledUpFieldValue"|"scheduledComment"|"space"|"spaceDescendantsSet"|"spaceTemplateAccess"|"task"|"taskAccess"|"taskHistory"|"taskProperty"|"taskTemplateAccess"|"template"|"user"|"userAccess"|"userGroup"|"userHierarchy"|"userPresence"|"view"|"viewAccess"|"viewTemplateAccess"|"whiteboard"|"whiteboardAccess"|"widget"|"workscheduleScheduleExceptions"|"workscheduleWorkweekSchedule"|"workspace"|"workspaceDescendantsSet") - **date** (number) (required): When the user last read comments to this object, set in the past to mark comments as unread. Should be a timestamp in milliseconds. - **_version_vector** (object) (required) - **object_id** (string) (required) - **object_type** (string) (required) - **vector** (array (ChatCommentVector)) (required) Array items: - **master_id** (number) (required) - **version** (number) (required) - **deleted** (boolean) (required) - **workspace_id** (number) (required) - **version** (number): The version of the object when the last read at object was last updated. - **has_unread** (boolean): Whether the user has unread comments on this object. (Optional) - **num_unread** (number): How many unread comments there are on this object. (Optional) - **latest_comment_at** (number): The date of the latest comment on this object. (Optional) - **badge_count** (number): The badge count for this object. (Optional) - **thread_count** (number): The number of unread threads on this object. (Optional) - **mention_count** (number): The number of mentions on this object. (Optional) - **last_updated_at** (number): The date of the last update to this object. (Optional) - **chat_room_category** (string (WELCOME_CHANNEL)): The category of the chat room, e.g. a welcome channel, (in the future, maybe) a ClickBot channel, etc. ("WELCOME_CHANNEL") - **canvas_id** (string): The id of the canvas owned by the chat room, if any - **links** (object) (required) - **members** (string) (required): The link to the members of the Channel. - **followers** (string) (required): The link to the followers of the Channel. #### default - Generic Error response **ChatPublicApiErrorResponse** - **status** (integer) (required): The HTTP Status code for the error - **message** (string) (required): The message describing the error (example: "Generic error message") - **trace_id** (integer) (required): Unique trace ID for tracking the request. Used for troubleshooting errors (example: 123456789) - **timestamp** (integer) (required): The time of the error (Unix epoch milliseconds timestamp). (example: 1671534256138) ### Example Usage ```bash curl -X GET "https://api.clickup.com//api/v3/workspaces/{workspace_id}/chat/channels?description_format=value&cursor=string&limit=value&is_follower=value&include_closed=value&with_message_since=value&channel_types=value" ``` ``` -------------------------------- ### Schema: TaskPublicApiTaskControllerMoveTask200Response Source: https://developer.clickup.com/openapi/ClickUp_PUBLIC_API_V3.yaml Successfully updated the task home list ```markdown ## Schema: TaskPublicApiTaskControllerMoveTask200Response Successfully updated the task home list **Type:** object - **data** (object) (required) - **task_id** (string) (required): The ID of the task. (example: "123") - **new_list_id** (string) (required): The ID of the newlist. (example: "123") ``` -------------------------------- ### PATCH /api/v3/workspaces/{workspace_id}/tasks/{task_id}/time_estimates_by_user Source: https://developer.clickup.com/openapi/ClickUp_PUBLIC_API_V3.yaml Replace the time estimates on a task for specified assignees. Assignees must be currently assigned to the task, or use `assignee: unassigned` to set a time estimates for unassigned work. You can set up to 10 estimates per request. ***Note:** This endpoint is only available on our Business Plan or above.* ```markdown ### Parameters - **workspace_id** (string, path, required): The ID of the Workspace. - **task_id** (string, path, required): The ID of the task. This parameter supports task IDs and Custom task IDs. ### Request Body **Content-Type:** application/json - Array of TaskTimeEstimateItemDto ### Responses #### 200 - response **TaskPublicApiTaskControllerUpdateTimeEstimatesByUser200Response** - **data** (object) (required) - **total_time_estimate** (integer) (required): The total time estimate across all assignees after the update, in milliseconds (example: 14400000) - **updated_estimates** (object) (required): A map of assignee user IDs to their updated time estimates in milliseconds. Only includes assignees whose estimates were modified by this request. (example: {"300001":5400000,"300002":9000000}) #### 400 - Invalid request parameters, validation error, or not entitled to use time estimates per assignee feature **TaskPublicApiErrorResponse** - **status** (integer) (required): The HTTP Status code for the error - **message** (string) (required): The message describing the error (example: "Generic error message") - **trace_id** (integer) (required): Unique trace ID for tracking the request. Used for troubleshooting errors (example: 123456789) - **timestamp** (integer) (required): The time of the error (Unix epoch milliseconds timestamp). (example: 1671534256138) #### 404 - Task not found or not authorized **TaskPublicApiErrorResponse** - **status** (integer) (required): The HTTP Status code for the error - **message** (string) (required): The message describing the error (example: "Generic error message") - **trace_id** (integer) (required): Unique trace ID for tracking the request. Used for troubleshooting errors (example: 123456789) - **timestamp** (integer) (required): The time of the error (Unix epoch milliseconds timestamp). (example: 1671534256138) #### default - Generic Error response **TaskPublicApiErrorResponse** - **status** (integer) (required): The HTTP Status code for the error - **message** (string) (required): The message describing the error (example: "Generic error message") - **trace_id** (integer) (required): Unique trace ID for tracking the request. Used for troubleshooting errors (example: 123456789) - **timestamp** (integer) (required): The time of the error (Unix epoch milliseconds timestamp). (example: 1671534256138) ### Example Usage ```bash curl -X PATCH "https://api.clickup.com//api/v3/workspaces/{workspace_id}/tasks/{task_id}/time_estimates_by_user" \ -H "Content-Type: application/json" \ -d '[ "value" ]' ``` ``` -------------------------------- ### Schema: TaskPublicApiTaskControllerGetTask200Response Source: https://developer.clickup.com/openapi/ClickUp_PUBLIC_API_V3.yaml Successfully retrieved the specified task ```markdown ## Schema: TaskPublicApiTaskControllerGetTask200Response Successfully retrieved the specified task **Type:** object - **data** (object) (required) - **custom_id** (string): The custom id of a task - **description** (string) (required): The description of a task. Can be formatted in either plain text or markdown.Some references may be missing when asked as plain text. - **due_date** (number): The due date of the task in unix epoch time ms. - **folder_id** (string): The folder that the task belongs in. - **id** (string) (required): The id of a task. - **list_id** (string) (required): ID of the main list that the task belongs to. - **links** (object) (required) - **assignees** (string) (required): A link to the users that are assigned to this task - **attachments** (string) (required): A link to all the attachments that are a part of the task - **checklists** (string) (required): The link to the checklists of the task - **doc_relationships** (string) (required): A link to document relationships for the task - **custom_fields** (string) (required): The link to the custom fields of a task - **list_relationships** (string) (required): A link to list relationships for the task - **point_estimates_by_user** (string) (required): A link to the point estimates by user - **related_tasks** (string) (required): A link to related tasks - **subtasks** (string) (required): A link to the subtasks of a task - **tags** (string) (required): A link to the tags of a task - **time_estimates_by_user** (string) (required): A link to the time estimates by user - **watchers** (string) (required): A link to the users that are watching this task - **name** (string) (required): The title of a task. - **parent_task_id** (string): The direct parent task id of this. - **priority** (number): The priority of the task. The lower the more urgent. - **root_parent_task_id** (string): The top most level parent task id. Relevant with nested subtasks - **space_id** (string) (required): The space that the task belongs in. - **sprint_points** (number): How many sprint points that this task is estimated to be. - **start_date** (number): When the task has been marked as started in unix epoch time ms. - **status** (string): The status of the task. - **task_type_id** (number): The custom task type that this is. - **time_estimate** (number): How long the task is estimated to take in ms. - **workspace_id** (string) (required): The workspace that the task belongs in. ``` -------------------------------- ### GET /api/v3/workspaces/{workspace_id}/chat/messages/{message_id}/reactions Source: https://developer.clickup.com/openapi/ClickUp_PUBLIC_API_V3.yaml This endpoint retrieves the reactions to a message. ```markdown ### Parameters - **workspace_id** (CommentPublicApiChatMessagesControllerGetChatMessageReactionsWorkspaceIdPath, path, required): The ID of the Workspace. - **message_id** (string, path, required): The ID of the specified message. - **cursor** (string, query, optional): The cursor to use to fetch the next page of results. - **limit** (CommentPublicApiChatMessagesControllerGetChatMessageReactionsLimitQuery, query, optional): The maximum number of results to fetch for this page. ### Responses #### 200 - response **CommentPublicApiChatMessagesControllerGetChatMessageReactions200Response** - **next_cursor** (string) (required): The next cursor to use for pagination. - **data** (array (ChatReaction)) Array items: - **date** (number) (required): The date & time the reaction was created (Unix epoch milliseconds timestamp). - **reaction** (string) (required): The reaction to the message. - **user_id** (string) (required): The ID of the user who created the reaction. #### 404 - Returns when the specified {messageId} was not found. **CommentPublicApiErrorResponse** - **status** (integer) (required): The HTTP Status code for the error - **message** (string) (required): The message describing the error (example: "Generic error message") - **trace_id** (integer) (required): Unique trace ID for tracking the request. Used for troubleshooting errors (example: 123456789) - **timestamp** (integer) (required): The time of the error (Unix epoch milliseconds timestamp). (example: 1671534256138) #### default - Generic Error response **CommentPublicApiErrorResponse** - **status** (integer) (required): The HTTP Status code for the error - **message** (string) (required): The message describing the error (example: "Generic error message") - **trace_id** (integer) (required): Unique trace ID for tracking the request. Used for troubleshooting errors (example: 123456789) - **timestamp** (integer) (required): The time of the error (Unix epoch milliseconds timestamp). (example: 1671534256138) ### Example Usage ```bash curl -X GET "https://api.clickup.com//api/v3/workspaces/{workspace_id}/chat/messages/{message_id}/reactions?cursor=string&limit=value" ``` ``` -------------------------------- ### Schema: TaskPublicApiTaskControllerGetTaskGroupAssigneesLimitQuery Source: https://developer.clickup.com/openapi/ClickUp_PUBLIC_API_V3.yaml Schema definition for TaskPublicApiTaskControllerGetTaskGroupAssigneesLimitQuery ```markdown ## Schema: TaskPublicApiTaskControllerGetTaskGroupAssigneesLimitQuery Schema definition for TaskPublicApiTaskControllerGetTaskGroupAssigneesLimitQuery **Type:** integer ``` -------------------------------- ### GET /api/v3/workspaces/{workspace_id}/chat/messages/{message_id}/tagged_users Source: https://developer.clickup.com/openapi/ClickUp_PUBLIC_API_V3.yaml This endpoint retrieves tagged users for a message. ```markdown ### Parameters - **workspace_id** (CommentPublicApiChatMessagesControllerGetChatMessageTaggedUsersWorkspaceIdPath, path, required): The ID of the Workspace. - **message_id** (string, path, required): The ID of the specified message. - **cursor** (string, query, optional): The cursor to use to fetch the next page of results. - **limit** (CommentPublicApiChatMessagesControllerGetChatMessageTaggedUsersLimitQuery, query, optional): The maximum number of results to fetch for this page. ### Responses #### 200 - response **CommentPublicApiChatMessagesControllerGetChatMessageTaggedUsers200Response** - **next_cursor** (string) (required): The next cursor to use for pagination. - **data** (array (CommentSimpleUser)) Array items: - **email** (string) (required): Email of the user. - **id** (string) (required): ID of the user. - **initials** (string): Initials of the user. - **name** (string): Name of the user. - **username** (string): Userame of the user. #### 404 - Returns when the specified {messageId} was not found. **CommentPublicApiErrorResponse** - **status** (integer) (required): The HTTP Status code for the error - **message** (string) (required): The message describing the error (example: "Generic error message") - **trace_id** (integer) (required): Unique trace ID for tracking the request. Used for troubleshooting errors (example: 123456789) - **timestamp** (integer) (required): The time of the error (Unix epoch milliseconds timestamp). (example: 1671534256138) #### default - Generic Error response **CommentPublicApiErrorResponse** - **status** (integer) (required): The HTTP Status code for the error - **message** (string) (required): The message describing the error (example: "Generic error message") - **trace_id** (integer) (required): Unique trace ID for tracking the request. Used for troubleshooting errors (example: 123456789) - **timestamp** (integer) (required): The time of the error (Unix epoch milliseconds timestamp). (example: 1671534256138) ### Example Usage ```bash curl -X GET "https://api.clickup.com//api/v3/workspaces/{workspace_id}/chat/messages/{message_id}/tagged_users?cursor=string&limit=value" ``` ``` -------------------------------- ### Schema: TaskPublicApiTaskControllerGetTasksSubtasksLimitQuery Source: https://developer.clickup.com/openapi/ClickUp_PUBLIC_API_V3.yaml Schema definition for TaskPublicApiTaskControllerGetTasksSubtasksLimitQuery ```markdown ## Schema: TaskPublicApiTaskControllerGetTasksSubtasksLimitQuery Schema definition for TaskPublicApiTaskControllerGetTasksSubtasksLimitQuery **Type:** integer ``` -------------------------------- ### Schema: TaskPublicApiTaskControllerGetTaskCustomFieldsLimitQuery Source: https://developer.clickup.com/openapi/ClickUp_PUBLIC_API_V3.yaml Schema definition for TaskPublicApiTaskControllerGetTaskCustomFieldsLimitQuery ```markdown ## Schema: TaskPublicApiTaskControllerGetTaskCustomFieldsLimitQuery Schema definition for TaskPublicApiTaskControllerGetTaskCustomFieldsLimitQuery **Type:** integer ```